/* IMSpector - Instant Messenger Transparent Proxy Service
 * http://www.imspector.org/
 * (c) Lawrence Manning <lawrence@aslak.net>, 2006
 * 
 * Contributions from:
 *     Ryan Wagoner <ryan@wgnrs.dynu.com>, 2006
 *          
 * Released under the GPL v2. */
    
#include <stdlib.h>
#include <stdio.h>
#include <dlfcn.h>
#include <fcntl.h>
#include <glob.h>
#include <syslog.h>
#include <pwd.h>
#include <grp.h> 
#include <unistd.h>
#include <signal.h>
#include <stdarg.h>

#include <sys/types.h>
#include <sys/socket.h>
#include <sys/wait.h>
#include <sys/un.h>
#include <sys/errno.h>
#include <sys/stat.h>
#include <sys/ioctl.h>

#include <net/if.h>

#include <netinet/in.h>

#include <arpa/inet.h>

#if defined(__linux__)
#include <linux/netfilter_ipv4.h>
#define LINUX_NETFILTER 1
#endif

#if defined(__FreeBSD__) || defined(__OpenBSD__)
#include <net/pfvar.h>
#define PF_TRANSPARENT 1
#endif

#include <string>
#include <vector>
#include <map>
#include <fstream>
#include <iostream>

#define STRING_SIZE 1024
#define BUFFER_SIZE 65536

#define TRACE_DIR "/tmp/trace"

#ifndef UNIX_PATH_MAX
#define UNIX_PATH_MAX 108
#endif

#include "socket.h"
#include "options.h"
#include "tools.h"
#include "protocolplugin.h"
#include "loggingplugin.h"
#include "filterplugin.h"
